- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgrePass.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreColourValue.h"`
`#include "OgreBlendMode.h"`
`#include "OgreCommon.h"`
`#include "OgreLight.h"`
`#include "OgreTextureUnitState.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::Pass
| Class defining a single pass of a Technique (of a Material), ie a single rendering call. More...
struct | Ogre::Pass::HashFunc
| Definition of a functor for calculating the hashcode of a Pass. More...
struct | Ogre::IlluminationPass
| Struct recording a pass which can be used for a specific illumination stage. More...
## Typedefs
typedef std::vector < IlluminationPass * > | Ogre::IlluminationPassList
## Enumerations
enum | Ogre::IlluminationStage { Ogre::IS_AMBIENT, Ogre::IS_PER_LIGHT, Ogre::IS_DECAL }

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008